Package org.apache.tools.ant.types.selectors

# Class TypeSelector.FileType

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.selectors.TypeSelector.FileType

Enclosing class:
  TypeSelector

    public static class TypeSelector.FileType
    extends EnumeratedAttribute

Enumerated attribute with the values for types of file

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `DIR` | the string value for dir
`static java.lang.String` | `FILE` | the string value for file

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FileType()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FILE

public static final java.lang.String FILE
the string value for file

See Also:
  Constant Field Values

### DIR

public static final java.lang.String DIR
the string value for dir

See Also:
  Constant Field Values

## Constructor Details

### FileType

public FileType()

## Method Details

### getValues

public java.lang.String[] getValues()
Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the values as an array of strings